<div class="container">
  <div class="row">
    <div class="col mt-5 col-xs-6 col-md-6 col-lg-6">
      <h2>Password Strength</h2>
      <br>
      <form [formGroup]="passwordForm">
        <div class="form-group">
          <input type="password" formControlName="password" class="form-control" autocomplete="off"
            placeholder="Password">
        </div>

        <app-password-strength [passwordToCheck]="passwordForm.value.password"
          (passwordStrength)="passwordValid($event)"></app-password-strength>

        <button type="submit" class="btn btn-primary" [disabled]="!passwordIsValid">
          Submit
        </button>
        {{passwordForm.value.password}}
      </form>




    </div>
  </div>
</div>
